## org.hibernate.ejb.metamodel
Class AbstractType<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractType<X>

All Implemented Interfaces:
  Serializable, javax.persistence.metamodel.Type<X>

Direct Known Subclasses:
  AbstractManagedType

    public abstract class AbstractType<X>

extends Object
implements javax.persistence.metamodel.Type<X>, Serializable

Defines commonality for the JPA `Type` hierarchy of interfaces.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`javax.persistence.metamodel.Type.PersistenceType`

Constructor Summary
`AbstractType(Class<X> javaType)`

Method Summary
`Class<X>` `getJavaType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Type
`getPersistenceType`

Constructor Detail

### AbstractType

    public AbstractType(Class<X> javaType)

Method Detail

### getJavaType

    public Class<X> getJavaType()

  Specified by:
    `getJavaType` in interface `javax.persistence.metamodel.Type<X>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.